Index: trunk/SophyaPI/PIext/nobjmgr.h
===================================================================
--- trunk/SophyaPI/PIext/nobjmgr.h	(revision 331)
+++ trunk/SophyaPI/PIext/nobjmgr.h	(revision 333)
@@ -32,7 +32,10 @@
 
 // Gestion des repertoires
-  virtual void		CreateDir(string const& dirname);
-  virtual void		DeleteDir(string const& dirname);
-  virtual void		SetCurrentDir(string const& dirname);
+  virtual void		CreateDir(string & dirname);
+  virtual void		DeleteDir(string & dirname);
+  virtual void		SetCurrentDir(string & dirname);
+  virtual void		GetCurrentDir(string & dirname);
+  virtual void		ListDirs(string & patt);
+  virtual void		GetDirList(string & patt, vector<string>& );
   virtual void		CleanTmpDir();
   virtual void		CleanOldDir();
@@ -53,5 +56,6 @@
   virtual void		ReadAll(string const & nomppf);
   virtual void		ReadFits(string const & flnm, string & nobj);
-  virtual void          SaveObj(string & nom, POutPersist& s);
+  virtual void          SaveObj(string & nom, POutPersist& s, bool keeppath=false);
+  virtual void          SaveObjects(string & patt, string const& nomppf);
   virtual void          SaveAll(string const& nomppf);
   virtual void          SaveFits(string & nom, string const & flnm);
@@ -65,35 +69,14 @@
   virtual void          DisplaySurf3D(string & nom, string dopt="");
   virtual void          DisplayNT(string & nom, string& nmx, string& nmy, string& nmz,  
-                                  string& erx, string& ery, string& erz, string dopt="");
-  virtual void          DisplayGFD(string & nom, string& numvarx, string& numvary, string& err, string dopt="");
+                                  string& erx, string& ery, string& erz, 
+                                  string dopt="", bool fg3d=false);
+  virtual void          DisplayGFD(string & nom, string& numvarx, string& numvary, 
+                                   string& err, string dopt="");
 
   virtual void		SetGraphicAttributes(string gratt="");
   virtual void		SetGraphicWinZone(int nzx, int nzy, bool fcr=false);
 
-
-//  Trace d'expression de NTuple, et d'autres objets
-  virtual void          DisplayPoints2D(string & nom, string& expx, string& expy,
-                                        string& experrx, string& experry, 
-                                        string& expcut, string dopt="");
-  virtual void          DisplayPoints3D(string & nom, string& expx, string& expy, string& expz, 
-                                        string& expcut, string dopt="");
-//  Projection d'expressions dans histogramme (et trace) 
-  virtual void          ProjectH1(string & nom, string& expx, string& expwt, string& expcut, 
-                                  string& nomh1, string dopt="");
-  virtual void          ProjectH2(string & nom, string& expx, string& expy, string& expwt, 
-                                  string& expcut, string& nomh2, string dopt="");
-  virtual void          ProjectHProf(string & nom, string& expx, string& expy, string& expwt, 
-                                  string& expcut, string& nomprof, string dopt="");
-//  Projection d'expression dans vecteurs et dans n-tuple
-  virtual void          FillVect(string & nom, string& expx, string& expcut, 
-                                 string& nomvec, string dopt="");
-  virtual void          FillNT(string & nom, string& expx, string& expy, string& expz,
-                               string& expt, string& expcut, string& nomnt); 
-  virtual void          FillGFD(string & nom, string& expx, string& expy, string& expz,
-                               string& experr, string& expcut, string& nomgfd);
-
-//   Methodes de fit, a rajouter  (pour CMV , deux methodes H1 H2 ou 1 seule ??) ...
-  virtual void          Fit12D(string & nom, string& func,
-                              string par,string step,string min,string max,string opt);
+// Acces a l'adaptateur
+  virtual NObjMgrAdapter*	GetObjAdapter(string & nom);
 
 // Acces au PIApplication et a la classe de service 
@@ -101,6 +84,7 @@
   virtual Services2NObjMgr* 	GetServiceObj();
 
-protected :
-  virtual NObjMgrAdapter*	GetObjAdapter(string & nom);
+  virtual void		AddWRsId(string & nom, int wrsid);
+// Pour utilisation par ObjMgrWind
+  virtual void		UpdateObjMgrWindow(int did);
 };
 
